Index: SPECS/gcc41.spec
===================================================================
--- SPECS.orig/gcc41.spec
+++ SPECS/gcc41.spec
@@ -16,7 +16,11 @@
 # With this then on the new arch do rpmbuild -ba -v --with java_bootstrap gcc41.spec
 %define bootstrap_java %{?_with_java_bootstrap:%{build_java}}%{!?_with_java_bootstrap:0}
 %define build_java_tar %{?_with_java_tar:%{build_java}}%{!?_with_java_tar:0}
+%ifnarch %{arm}
 %define build_objc 1
+%else
+%define build_objc 0
+%endif
 %ifarch s390x
 %define multilib_32_arch s390
 %endif
@@ -32,7 +36,7 @@
 Summary: Various compilers (C, C++, Objective-C, Java, ...)
 Name: gcc
 Version: %{gcc_version}
-Release: %{gcc_release}
+Release: %{gcc_release}.fa2
 # libgcc, libgfortran, libmudflap and crtstuff have an exception which allows
 # linking it into any kind of programs or shared libraries without
 # restrictions.
@@ -50,6 +54,7 @@ BuildRoot: %{_tmppath}/%{name}-%{version
 # Need binutils which support .weakref >= 2.16.91.0.3-1
 # Need binutils which support --hash-style=gnu >= 2.17.50.0.2-7
 # Need binutils which support mffgpr and mftgpr >= 2.17.50.0.2-8
+# Need binutils which support 2-argument .movsp >= 2.17.50.0.5
 # Need binutils which support --build-id >= 2.17.50.0.17-3
 BuildRequires: binutils >= 2.17.50.0.17-3
 BuildRequires: zlib-devel, gettext, dejagnu, bison, flex, texinfo, sharutils
@@ -91,6 +96,7 @@ Requires: cpp = %{version}-%{release}
 # Need binutils that support .weakref
 # Need binutils that supports --hash-style=gnu
 # Need binutils that support mffgpr/mftgpr
+# Need binutils that support 2-argument .movsp
 # Need binutils that support --build-id
 Requires: binutils >= 2.17.50.0.17-3
 # Make sure gdb will understand DW_FORM_strp
@@ -200,6 +206,7 @@ Patch73: gcc41-pr34094.patch
 Patch74: gcc41-pr34130.patch
 Patch75: gcc41-pr34146.patch
 Patch76: gcc41-rh364001.patch
+Patch77: gcc41-arm-progbits.patch
 
 # On ARM EABI systems, we do want -gnueabi to be part of the
 # target triple.
@@ -557,6 +564,7 @@ which are required to run programs compi
 %patch74 -p0 -b .pr34130~
 %patch75 -p0 -b .pr34146~
 %patch76 -p0 -b .rh364001~
+%patch77 -p0 -b .progbits~
 
 %if %{bootstrap_java}
 tar xjf %{SOURCE10}
